Bug 142527 - Oracle Universal Installer Fails
Oracle Universal Installer Fails
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 06:54 EST by Chris Hills
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-18 08:39:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Hills 2004-12-10 06:54:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Cannot run the Oracle Universal Installer for 10g even though
xorg-x11-deprecated-libs is installed and libXp.so.6 exists in
/usr/X11R6/lib64/.

Version-Release number of selected component (if applicable):
xorg-x11-deprecated-libs-6.8.1-12.FC3.21

How reproducible:
Always

Steps to Reproduce:
1. Download and run the Oracle Universal Installer for Oracle 10g
2. Expand the downloaded archive
3. Run Disk1/runInstaller from the archive
    

Actual Results:  Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, SuSE-8 or
UnitedLinux-1.0
                                      Passed


All installer requirements met.

Preparing to launch Oracle Universal Installer from
/tmp/OraInstall2004-12-10_11-43-55AM. Please wait ...-bash-3.00$
Oracle Universal Installer, Version 10.1.0.3.0 Production
Copyright (C) 1999, 2004, Oracle. All rights reserved.

Exception java.lang.UnsatisfiedLinkError:
/tmp/OraInstall2004-12-10_11-43-55AM/jre/1.4.2/lib/i386/libawt.so:
libXp.so.6: cannot open shared object file: No such file or directory
occurred..
java.lang.UnsatisfiedLinkError:
/tmp/OraInstall2004-12-10_11-43-55AM/jre/1.4.2/lib/i386/libawt.so:
libXp.so.6: cannot open shared object file: No such file or directory
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1560)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1477)
        at java.lang.Runtime.loadLibrary0(Runtime.java:788)
        at java.lang.System.loadLibrary(System.java:834)
        at
sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:50)
        at java.security.AccessController.doPrivileged(Native Method)
        at sun.awt.NativeLibLoader.loadLibraries(NativeLibLoader.java:38)
        at sun.awt.DebugHelper.<clinit>(DebugHelper.java:29)
        at java.awt.Component.<clinit>(Component.java:506)
        at
oracle.sysman.oii.oiif.oiifm.OiifmGraphicInterfaceManager.<init>(OiifmGraphicInterfaceManager.java:189)
        at
oracle.sysman.oii.oiic.OiicSessionInterfaceManager.createInterfaceManager(OiicSessionInterfaceManager.java:173)
        at
oracle.sysman.oii.oiic.OiicSessionInterfaceManager.getInterfaceManager(OiicSessionInterfaceManager.java:182)
        at
oracle.sysman.oii.oiic.OiicInstaller.<init>(OiicInstaller.java:278)
        at
oracle.sysman.oii.oiic.OiicInstaller.runInstaller(OiicInstaller.java:714)
        at
oracle.sysman.oii.oiic.OiicInstaller.main(OiicInstaller.java:628)
Exception in thread "main" java.lang.NoClassDefFoundError
        at
oracle.sysman.oii.oiif.oiifm.OiifmGraphicInterfaceManager.<init>(OiifmGraphicInterfaceManager.java:189)
        at
oracle.sysman.oii.oiic.OiicSessionInterfaceManager.createInterfaceManager(OiicSessionInterfaceManager.java:173)
        at
oracle.sysman.oii.oiic.OiicSessionInterfaceManager.getInterfaceManager(OiicSessionInterfaceManager.java:182)
        at
oracle.sysman.oii.oiif.oiifm.OiifmAlert.<clinit>(OiifmAlert.java:112)
        at
oracle.sysman.oii.oiic.OiicInstaller.runInstaller(OiicInstaller.java:772)
        at
oracle.sysman.oii.oiic.OiicInstaller.main(OiicInstaller.java:628)


Expected Results:  The installer should start.

Additional info:

$ locate libXp.so.6
/usr/X11R6/lib64/libXp.so.6.2
/usr/X11R6/lib64/libXp.so.6

$ cat /etc/ld.so.conf
/usr/X11R6/lib64
/usr/X11R6/lib
Comment 1 Chris Hills 2005-01-18 08:39:20 EST
I was able to install it eventually following a clean install.

Note You need to log in before you can comment on or make changes to this bug.